<html>
<head>
<title>Ogre::ScriptCompilerManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ScriptCompilerManager Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ScriptCompilerManager" --><!-- doxytag: inherits="Singleton&lt; ScriptCompilerManager &gt;,Ogre::ScriptLoader,Ogre::AllocatedObject" -->
<p>Manages threaded compilation of scripts.  
 <a href="classOgre_1_1ScriptCompilerManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ScriptCompilerManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ScriptCompilerManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1ScriptCompilerManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ScriptCompilerManager_inherit__map" id="Ogre_1_1ScriptCompilerManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; ScriptCompilerManager \&gt;" alt="" coords="5,5,277,35"/><area shape="rect" id="node4" href="classOgre_1_1ScriptLoader.html" title="Abstract class defining the interface used by classes which wish to perform script loading to define ..." alt="" coords="301,5,432,35"/><area shape="rect" id="node6" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="456,5,592,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ScriptCompilerManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#aaaf5b451a566a40a215320c1191c1a82">ScriptCompilerManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#acb0bd55cf347f0e24e23ff02b70f0b80">~ScriptCompilerManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a5dc660484560a9f099c8bd80f947e504">setListener</a> (<a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a> *listener)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the listener used for compiler instances.  <a href="#a5dc660484560a9f099c8bd80f947e504"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a55503839e18153a7f3b853a0a627b271">getListener</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the currently set listener used for compiler instances.  <a href="#a55503839e18153a7f3b853a0a627b271"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#ac081bd26812f8ecee0fdccd2e2c59441">addTranslatorManager</a> (<a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a> *man)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds the given translator manager to the list of managers.  <a href="#ac081bd26812f8ecee0fdccd2e2c59441"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a0e6cd21151767d041dbfc0ff48e84a6d">removeTranslatorManager</a> (<a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a> *man)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes the given translator manager from the list of managers.  <a href="#a0e6cd21151767d041dbfc0ff48e84a6d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#ac8efbb3af0fa2e3586a236be54cafa7f">clearTranslatorManagers</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears all translator managers.  <a href="#ac8efbb3af0fa2e3586a236be54cafa7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ScriptTranslator.html">ScriptTranslator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a22c651f51ec9fa2251b99a073c0d4c49">getTranslator</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a <a class="el" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a> from the supported managers.  <a href="#a22c651f51ec9fa2251b99a073c0d4c49"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a71543fc8e27d79462c863350eac6d548">addScriptPattern</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a script extension that can be handled (e.g. *.material, *.pu, etc.)  <a href="#a71543fc8e27d79462c863350eac6d548"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a4d702e410c747e796f689639032ac2d5">getScriptPatterns</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#ab51871b7c9b5449f24bdd2ccb280b843">parseScript</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#afa8446b5cebc0af9731dcdfd9620634b">getLoadingOrder</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a1d8c90529ca27f0c235940b4664ac5ae">getSingleton</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a1d8c90529ca27f0c235940b4664ac5ae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#aac1dfc9901d31b6c2f0d62fc01e10f52">getSingletonPtr</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#aac1dfc9901d31b6c2f0d62fc01e10f52"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#aa20c474abcbd008c65f2ccc2b10fa47c">OGRE_THREAD_POINTER</a> (<a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a>, mScriptCompiler)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#abb7c3a922a56754307f0a75f7ace4ec7">mScriptPatterns</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#aec21d7cb4356aae7420b5df3c0531d3c">mListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a327ad2022ca6c5ed5a3e38c581440b15">mManagers</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#a5cd312d6d59659707628fbf4a4f91818">mBuiltinTranslatorManager</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Manages threaded compilation of scripts. </p>
<p>This script loader forwards scripts compilations to a specific compiler instance. </p>

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00383">383</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aaaf5b451a566a40a215320c1191c1a82"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::ScriptCompilerManager" ref="aaaf5b451a566a40a215320c1191c1a82" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#aaaf5b451a566a40a215320c1191c1a82">Ogre::ScriptCompilerManager::ScriptCompilerManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="acb0bd55cf347f0e24e23ff02b70f0b80"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::~ScriptCompilerManager" ref="acb0bd55cf347f0e24e23ff02b70f0b80" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ScriptCompilerManager.html#acb0bd55cf347f0e24e23ff02b70f0b80">Ogre::ScriptCompilerManager::~ScriptCompilerManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a71543fc8e27d79462c863350eac6d548"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::addScriptPattern" ref="a71543fc8e27d79462c863350eac6d548" args="(const String &amp;pattern)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a71543fc8e27d79462c863350eac6d548">Ogre::ScriptCompilerManager::addScriptPattern</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>pattern</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a script extension that can be handled (e.g. *.material, *.pu, etc.) </p>

</div>
</div>
<a class="anchor" id="ac081bd26812f8ecee0fdccd2e2c59441"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::addTranslatorManager" ref="ac081bd26812f8ecee0fdccd2e2c59441" args="(ScriptTranslatorManager *man)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompilerManager.html#ac081bd26812f8ecee0fdccd2e2c59441">Ogre::ScriptCompilerManager::addTranslatorManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a> *&#160;</td>
          <td class="paramname"><em>man</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds the given translator manager to the list of managers. </p>

</div>
</div>
<a class="anchor" id="ac8efbb3af0fa2e3586a236be54cafa7f"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::clearTranslatorManagers" ref="ac8efbb3af0fa2e3586a236be54cafa7f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompilerManager.html#ac8efbb3af0fa2e3586a236be54cafa7f">Ogre::ScriptCompilerManager::clearTranslatorManagers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears all translator managers. </p>

</div>
</div>
<a class="anchor" id="a55503839e18153a7f3b853a0a627b271"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::getListener" ref="a55503839e18153a7f3b853a0a627b271" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a>* <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a55503839e18153a7f3b853a0a627b271">Ogre::ScriptCompilerManager::getListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the currently set listener used for compiler instances. </p>

</div>
</div>
<a class="anchor" id="afa8446b5cebc0af9731dcdfd9620634b"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::getLoadingOrder" ref="afa8446b5cebc0af9731dcdfd9620634b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ScriptCompilerManager.html#afa8446b5cebc0af9731dcdfd9620634b">Ogre::ScriptCompilerManager::getLoadingOrder</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Gets the relative loading order of scripts of this type. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>There are dependencies between some kinds of scripts, and to enforce this all implementors of this interface must define a loading order. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A value representing the relative loading order of these scripts compared to other script users, where higher values load later. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#a12af311e1399d48c02c57bb545b50497">Ogre::ScriptLoader</a>.</p>

</div>
</div>
<a class="anchor" id="a4d702e410c747e796f689639032ac2d5"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::getScriptPatterns" ref="a4d702e410c747e796f689639032ac2d5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&amp; <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a4d702e410c747e796f689639032ac2d5">Ogre::ScriptCompilerManager::getScriptPatterns</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Gets the file patterns which should be used to find scripts for this class. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method is called when a resource group is loaded if you use <a class="el" href="classOgre_1_1ResourceGroupManager.html#aafd69be90e1774f2a4b34c4e6dcaa38a" title="Internal method for registering a ScriptLoader.">ResourceGroupManager::_registerScriptLoader</a>. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A list of file patterns, in the order they should be searched in. </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#a78189fd757a233f34d5d272f76f6abf6">Ogre::ScriptLoader</a>.</p>

</div>
</div>
<a class="anchor" id="a1d8c90529ca27f0c235940b4664ac5ae"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::getSingleton" ref="a1d8c90529ca27f0c235940b4664ac5ae" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a>&amp; <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a1d8c90529ca27f0c235940b4664ac5ae">Ogre::ScriptCompilerManager::getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; ScriptCompilerManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="aac1dfc9901d31b6c2f0d62fc01e10f52"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::getSingletonPtr" ref="aac1dfc9901d31b6c2f0d62fc01e10f52" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a>* <a class="el" href="classOgre_1_1ScriptCompilerManager.html#aac1dfc9901d31b6c2f0d62fc01e10f52">Ogre::ScriptCompilerManager::getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; ScriptCompilerManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a22c651f51ec9fa2251b99a073c0d4c49"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::getTranslator" ref="a22c651f51ec9fa2251b99a073c0d4c49" args="(const AbstractNodePtr &amp;node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptTranslator.html">ScriptTranslator</a>* <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a22c651f51ec9fa2251b99a073c0d4c49">Ogre::ScriptCompilerManager::getTranslator</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a <a class="el" href="classOgre_1_1ScriptTranslator.html" title="This class translates script AST (abstract syntax tree) into Ogre resources.">ScriptTranslator</a> from the supported managers. </p>

</div>
</div>
<a class="anchor" id="aa20c474abcbd008c65f2ccc2b10fa47c"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::OGRE_THREAD_POINTER" ref="aa20c474abcbd008c65f2ccc2b10fa47c" args="(ScriptCompiler, mScriptCompiler)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerManager.html#aa20c474abcbd008c65f2ccc2b10fa47c">Ogre::ScriptCompilerManager::OGRE_THREAD_POINTER</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mScriptCompiler&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab51871b7c9b5449f24bdd2ccb280b843"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::parseScript" ref="ab51871b7c9b5449f24bdd2ccb280b843" args="(DataStreamPtr &amp;stream, const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompilerManager.html#ab51871b7c9b5449f24bdd2ccb280b843">Ogre::ScriptCompilerManager::parseScript</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Parse a script file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>Weak reference to a data stream which is the source of the script </td></tr>
    <tr><td class="paramname">groupName</td><td>The name of a resource group which should be used if any resources are created during the parse of this script. </td></tr>
  </table>
  </dd>
</dl>
 
<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#a6bd73a15503c5cb29ed8b7e264e12293">Ogre::ScriptLoader</a>.</p>

</div>
</div>
<a class="anchor" id="a0e6cd21151767d041dbfc0ff48e84a6d"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::removeTranslatorManager" ref="a0e6cd21151767d041dbfc0ff48e84a6d" args="(ScriptTranslatorManager *man)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a0e6cd21151767d041dbfc0ff48e84a6d">Ogre::ScriptCompilerManager::removeTranslatorManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a> *&#160;</td>
          <td class="paramname"><em>man</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes the given translator manager from the list of managers. </p>

</div>
</div>
<a class="anchor" id="a5dc660484560a9f099c8bd80f947e504"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::setListener" ref="a5dc660484560a9f099c8bd80f947e504" args="(ScriptCompilerListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a5dc660484560a9f099c8bd80f947e504">Ogre::ScriptCompilerManager::setListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the listener used for compiler instances. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a5cd312d6d59659707628fbf4a4f91818"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::mBuiltinTranslatorManager" ref="a5cd312d6d59659707628fbf4a4f91818" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a>* <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a5cd312d6d59659707628fbf4a4f91818">Ogre::ScriptCompilerManager::mBuiltinTranslatorManager</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00398">398</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="aec21d7cb4356aae7420b5df3c0531d3c"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::mListener" ref="aec21d7cb4356aae7420b5df3c0531d3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerListener.html">ScriptCompilerListener</a>* <a class="el" href="classOgre_1_1ScriptCompilerManager.html#aec21d7cb4356aae7420b5df3c0531d3c">Ogre::ScriptCompilerManager::mListener</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00392">392</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a327ad2022ca6c5ed5a3e38c581440b15"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::mManagers" ref="a327ad2022ca6c5ed5a3e38c581440b15" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1ScriptTranslatorManager.html">ScriptTranslatorManager</a>*&gt;::type <a class="el" href="classOgre_1_1ScriptCompilerManager.html#a327ad2022ca6c5ed5a3e38c581440b15">Ogre::ScriptCompilerManager::mManagers</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00395">395</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="abb7c3a922a56754307f0a75f7ace4ec7"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::mScriptPatterns" ref="abb7c3a922a56754307f0a75f7ace4ec7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="classOgre_1_1ScriptCompilerManager.html#abb7c3a922a56754307f0a75f7ace4ec7">Ogre::ScriptCompilerManager::mScriptPatterns</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00389">389</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::ScriptCompilerManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1ScriptCompilerManager.html">ScriptCompilerManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
